Package org.apache.tapestry5.internal.services

# Class DeferredResponseRenderer

java.lang.Object
org.apache.tapestry5.internal.services.DeferredResponseRenderer

All Implemented Interfaces:
  `ComponentRequestFilter`

public class DeferredResponseRenderer extends Object implements ComponentRequestFilter
After processing the component event request (including Ajax requests), or the page render request, checks for the `TapestryConstants.RESPONSE_RENDERER` request attribute, and invokes it to render the deferred response.

Since:
  5.4

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DeferredResponseRenderer(Request request, OperationTracker tracker)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `handleComponentEvent(ComponentEventRequestParameters parameters, ComponentRequestHandler handler)`
  Handler for a component action request which will trigger an event on a component and use the return value to send a response to the client (typically, a redirect to a page render URL).
  `void`
  `handlePageRender(PageRenderRequestParameters parameters, ComponentRequestHandler handler)`
  Invoked to activate and render a page.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DeferredResponseRenderer

    public DeferredResponseRenderer(Request request, OperationTracker tracker)

- ## Method Details

  - ### handleComponentEvent

    public void handleComponentEvent(ComponentEventRequestParameters parameters, ComponentRequestHandler handler) throws IOException
    Description copied from interface: `ComponentRequestFilter`
    Handler for a component action request which will trigger an event on a component and use the return value to send a response to the client (typically, a redirect to a page render URL).
    Specified by:
      `handleComponentEvent` in interface `ComponentRequestFilter`
    Parameters:
      `parameters` - defining the requst
      `handler` - next handler in the pipeline
    Throws:
      `IOException`

  - ### handlePageRender

    public void handlePageRender(PageRenderRequestParameters parameters, ComponentRequestHandler handler) throws IOException
    Description copied from interface: `ComponentRequestFilter`
    Invoked to activate and render a page. In certain cases, based on values returned when activating the page, a `ComponentEventResultProcessor` may be used to send an alternate response (typically, a redirect).
    Specified by:
      `handlePageRender` in interface `ComponentRequestFilter`
    Parameters:
      `parameters` - defines the page name and activation context
      `handler` - next handler in the pipeline
    Throws:
      `IOException`